# PyThainance

![PyThainance](https://img.shields.io/badge/Thai-Finance-blue.svg)  
📊 **The Next-Gen Thai Financial Data Library** 🚀

PyThainance is an **open-source financial analysis library** designed to simplify working with **Thai public debt, macroeconomic data, and state enterprise debt**. Built for researchers, policymakers, and developers, PyThainance provides a powerful toolkit for financial data analysis, forecasting, and visualization.

## 📦 Installation

Install via PyPI (Coming Soon!):
```bash
pip install pythainance
```

## 🚀 Quick Start

```python
from pythainance import *

# Load Thailand's debt dataset
debt = get_debt_data()

# Visualize the trend over time
plot_public_debt_composition(debt)
plot_debt_gdp(debt)
plot_covid_debt_impact(debt)
plot_foreign_debt_and_exchange(debt)
plot_debt_guarantee_status(debt)
plot_debt_metrics_correlation(debt)
plot_debt_gdp_with_crisis(debt)
plot_debt_service_heatmap(debt)
```

## ⚖️ License

PyThainance is released under the **MIT License**, allowing both personal and commercial use. See the **[LICENSE](https://opensource.org/licenses/MIT)** file for more details.

---

💡 **Follow us for updates!** 🚀

